Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233852 - attach will start to hang on SIGSTOPped processes
Summary: attach will start to hang on SIGSTOPped processes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact:
URL:
Whiteboard:
Depends On: 189607 232837 233853 235521 243555
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-25 14:08 UTC by Jan Kratochvil
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: gdb-6.6-27.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-16 23:16:55 UTC


Attachments (Terms of Use)

Description Jan Kratochvil 2007-03-25 14:08:29 UTC
+++ This bug was initially created as a clone of Bug #189607 +++

After a fix of `Bug 232837: utrace: PTRACE_ATTACH of SIGSTOPped process hangs'
to update the ptrace(2) syscall behavior back to the kernel.org one GDB will
start to hang during attaching to a SIGSTOPped process.  A prophecy of mine.

sleep 1h &
pid=$!
kill -STOP $pid
gdb sleep $pid
[WILL HANG]

Comment 1 Jan Kratochvil 2007-06-06 18:45:20 UTC
Posted upstream:
http://sources.redhat.com/ml/gdb-patches/2007-06/msg00059.html


Comment 2 Jan Kratochvil 2007-06-20 14:42:09 UTC
Committed to RawHide CVS:
* Wed Jun 20 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.6-16
- Fix attaching a stopped process on expected + upstream kernels (BZ 233852).
 - Fix attaching during a pending signal being delivered.


Comment 3 Jan Kratochvil 2007-06-30 10:23:13 UTC
Posted an update upstream:
http://sources.redhat.com/ml/gdb-patches/2007-06/msg00534.html


Comment 4 Jan Kratochvil 2007-09-16 23:16:55 UTC
Updated patch committed as:
* Sun Sep 16 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.6-27
- Fix attaching to stopped processes and/or pending signals.



Note You need to log in before you can comment on or make changes to this bug.